module TaiwanAddress
  class PostalCode
    # NOTE https://en.wikipedia.org/wiki/Postal_codes_in_Taiwan
    POSTAL_CODE_HASH = {
      100 => 'zhongzheng_district',
      103 => 'datong_district',
      104 => 'zhongshan_district',
      105 => 'songshan_district',
      106 => 'da_an_district',
      108 => 'wanhua_district',
      110 => 'xinyi_district',
      111 => 'shilin_district',
      112 => 'beitou_district',
      114 => 'neihu_district',
      115 => 'nangang_district',
      116 => 'wenshan_district',
      200 => 'ren_ai_district',
      201 => 'xinyi_district',
      202 => 'zhongzheng_district',
      203 => 'zhongshan_district',
      204 => 'anle_district',
      205 => 'nuannuan_district',
      206 => 'qidu_district',
      209 => 'nangan_township',
      210 => 'beigan_township',
      211 => 'juguang_township',
      212 => 'dongyin_township',
      207 => 'wanli_district',
      208 => 'jinshan_district',
      220 => 'banqiao_district',
      221 => 'xizhi_district',
      222 => 'shenkeng_district',
      223 => 'shiding_district',
      224 => 'ruifang_district',
      226 => 'pingxi_district',
      227 => 'shuangxi_district',
      228 => 'gongliao_district',
      231 => 'xindian_district',
      232 => 'pinglin_district',
      233 => 'wulai_district',
      234 => 'yonghe_district',
      235 => 'zhonghe_district',
      236 => 'tucheng_district',
      237 => 'sanxia_district',
      238 => 'shulin_district',
      239 => 'yingge_district',
      241 => 'sanchong_district',
      242 => 'xinzhuang_district',
      243 => 'taishan_district',
      244 => 'linkou_district',
      247 => 'luzhou_district',
      248 => 'wugu_district',
      249 => 'bali_district',
      251 => 'tamsui_district',
      252 => 'sanzhi_district',
      253 => 'shimen_district',
      260 => 'yilan_city',
      261 => 'toucheng_township',
      262 => 'jiaoxi_township',
      263 => 'zhuangwei_township',
      264 => 'yuanshan_township',
      265 => 'luodong_township',
      266 => 'sanxing_township',
      267 => 'datong_township',
      268 => 'wujie_township',
      269 => 'dongshan_township',
      270 => 'su_ao_township',
      272 => 'nan_ao_township',
      300 => 'xiangshan_district',
      302 => 'zhubei_city',
      303 => 'hukou_township',
      304 => 'xinfeng_township',
      305 => 'xinpu_township',
      306 => 'guanxi_township',
      307 => 'qionglin_township',
      308 => 'baoshan_township',
      310 => 'zhudong_township',
      311 => 'wufeng_township',
      312 => 'hengshan_township',
      313 => 'jianshi_township',
      314 => 'beipu_township',
      315 => 'emei_township',
      320 => 'zhongli_district',
      324 => 'pingzhen_district',
      325 => 'longtan_district',
      326 => 'yangmei_district',
      327 => 'xinwu_district',
      328 => 'guanyin_district',
      330 => 'taoyuan_district',
      333 => 'guishan_district',
      334 => 'bade_district',
      335 => 'daxi_district',
      336 => 'fuxing_district',
      337 => 'dayuan_district',
      338 => 'luzhu_district',
      350 => 'zhunan_township',
      351 => 'toufen_township',
      352 => 'sanwan_township',
      353 => 'nanzhuang_township',
      354 => 'shitan_township',
      356 => 'houlong_township',
      357 => 'tongxiao_township',
      358 => 'yuanli_township',
      360 => 'miaoli_city',
      361 => 'zaoqiao_township',
      362 => 'touwu_township',
      363 => 'gongguan_township',
      364 => 'dahu_township',
      365 => 'tai_an_township',
      366 => 'tongluo_township',
      367 => 'sanyi_township',
      368 => 'xihu_township',
      369 => 'zhuolan_township',
      400 => 'central_district',
      401 => 'east_district',
      402 => 'south_district',
      403 => 'west_district',
      404 => 'north_district',
      406 => 'beitun_district',
      407 => 'xitun_district',
      408 => 'nantun_district',
      411 => 'taiping_district',
      412 => 'dali_district',
      413 => 'wufeng_district',
      414 => 'wuri_district',
      420 => 'fengyuan_district',
      421 => 'houli_district',
      422 => 'shigang_district',
      423 => 'dongshi_district',
      424 => 'heping_district',
      426 => 'xinshe_district',
      427 => 'tanzi_district',
      428 => 'daya_district',
      429 => 'shengang_district',
      432 => 'dadu_district',
      433 => 'shalu_district',
      434 => 'longjing_district',
      435 => 'wuqi_district',
      436 => 'qingshui_district',
      437 => 'dajia_district',
      438 => 'waipu_district',
      439 => 'da_an_district',
      500 => 'changhua_city',
      502 => 'fenyuan_township',
      503 => 'huatan_township',
      504 => 'xiushui_township',
      505 => 'lukang_township',
      506 => 'fuxing_township',
      507 => 'xianxi_township',
      508 => 'hemei_township',
      509 => 'shengang_township',
      510 => 'yuanlin_township',
      511 => 'shetou_township',
      512 => 'yongjing_township',
      513 => 'puxin_township',
      514 => 'xihu_township',
      515 => 'dacun_township',
      516 => 'puyan_township',
      520 => 'tianzhong_township',
      521 => 'beidou_township',
      522 => 'tianwei_township',
      523 => 'pitou_township',
      524 => 'xizhou_township',
      525 => 'zhutang_township',
      526 => 'erlin_township',
      527 => 'dacheng_township',
      528 => 'fangyuan_township',
      530 => 'ershui_township',
      540 => 'nantou_city',
      541 => 'zhongliao_township',
      542 => 'caotun_township',
      544 => 'guoxing_township',
      545 => 'puli_township',
      546 => 'ren_ai_township',
      551 => 'mingjian_township',
      552 => 'jiji_township',
      553 => 'shuili_township',
      555 => 'yuchi_township',
      556 => 'xinyi_township',
      557 => 'zhushan_township',
      558 => 'lugu_township',
      600 => 'west_district',
      602 => 'fanlu_township',
      603 => 'meishan_township',
      604 => 'zhuqi_township',
      605 => 'alishan_township',
      606 => 'zhongpu_township',
      607 => 'dapu_township',
      608 => 'shuishang_township',
      611 => 'lucao_township',
      612 => 'taibao_city',
      613 => 'puzi_city',
      614 => 'dongshi_township',
      615 => 'liujiao_township',
      616 => 'xingang_township',
      621 => 'minxiong_township',
      622 => 'dalin_township',
      623 => 'xikou_township',
      624 => 'yizhu_township',
      625 => 'budai_township',
      630 => 'dounan_township',
      631 => 'dapi_township',
      632 => 'huwei_township',
      633 => 'tuku_township',
      634 => 'baozhong_township',
      635 => 'dongshi_township',
      637 => 'lunbei_township',
      638 => 'mailiao_township',
      640 => 'douliu_city',
      643 => 'linnei_township',
      654 => 'sihu_township',
      636 => 'taixi_township',
      646 => 'gukeng_township',
      647 => 'citong_township',
      648 => 'xiluo_township',
      649 => 'erlun_township',
      651 => 'beigang_township',
      652 => 'shuilin_township',
      653 => 'kouhu_township',
      655 => 'yuanchang_township',
      700 => 'west central_district',
      701 => 'east_district',
      702 => 'south_district',
      704 => 'north_district',
      708 => 'anping_district',
      709 => 'annan_district',
      710 => 'yongkang_district',
      711 => 'guiren_district',
      712 => 'xinhua_district',
      713 => 'zuozhen_district',
      714 => 'yujing_district',
      715 => 'nanxi_district',
      716 => 'nanhua_district',
      717 => 'rende_district',
      718 => 'guanmiao_district',
      719 => 'longqi_district',
      720 => 'guantian_district',
      721 => 'madou_district',
      722 => 'jiali_district',
      723 => 'xigang_district',
      724 => 'qigu_district',
      725 => 'jiangjun_district',
      726 => 'xuejia_district',
      727 => 'beimen_district',
      730 => 'xinying_district',
      731 => 'houbi_district',
      732 => 'baihe_district',
      733 => 'dongshan_district',
      734 => 'liujia_district',
      735 => 'xiaying_district',
      736 => 'liuying_district',
      737 => 'yanshui_district',
      741 => 'shanhua_district',
      742 => 'danei_district',
      743 => 'shanshang_district',
      744 => 'xinshi_district',
      745 => 'anding_district',
      800 => 'xinxing_district',
      801 => 'qianjin_district',
      802 => 'lingya_district',
      803 => 'yancheng_district',
      804 => 'gushan_district',
      805 => 'qijin_district',
      806 => 'qianzhen_district',
      807 => 'sanmin_district',
      811 => 'nanzi_district',
      812 => 'xiaogang_district',
      813 => 'zuoying_district',
      814 => 'renwu_district',
      815 => 'dashe_district',
      817 => 'dongsha_islands',
      819 => 'nansha_islands',
      820 => 'gangshan_district',
      821 => 'luzhu_district',
      822 => 'alian_district',
      823 => 'tianliao_district',
      824 => 'yanchao_district',
      825 => 'qiaotou_district',
      826 => 'ziguan_district',
      827 => 'mituo_district',
      828 => 'yong_an_district',
      829 => 'hunei_district',
      830 => 'fengshan_district',
      831 => 'daliao_district',
      832 => 'linyuan_district',
      833 => 'niaosong_district',
      840 => 'dashu_district',
      842 => 'qishan_district',
      843 => 'meinong_district',
      844 => 'liugui_district',
      845 => 'neimen_district',
      846 => 'shanlin_district',
      847 => 'jiaxian_district',
      848 => 'taoyuan_district',
      849 => 'namaxia_district',
      851 => 'maolin_district',
      852 => 'qieding_district',
      880 => 'magong_city',
      881 => 'xiyu_township',
      882 => 'wang_an_township',
      883 => 'qimei_township',
      884 => 'baisha_township',
      885 => 'huxi_township',
      890 => 'jinsha_township',
      891 => 'jinhu_township',
      892 => 'jinning_township',
      893 => 'jincheng_township',
      894 => 'lieyu_township',
      896 => 'wuqiu_township',
      900 => 'pingtung_city',
      901 => 'sandimen_township',
      902 => 'wutai_township',
      903 => 'majia_township',
      904 => 'jiuru_township',
      905 => 'ligang_township',
      906 => 'gaoshu_township',
      907 => 'yanpu_township',
      908 => 'changzhi_township',
      909 => 'linluo_township',
      911 => 'zhutian_township',
      912 => 'neipu_township',
      913 => 'wandan_township',
      920 => 'chaozhou_township',
      921 => 'taiwu_township',
      922 => 'laiyi_township',
      923 => 'wanluan_township',
      924 => 'kanding_township',
      925 => 'xinpi_township',
      926 => 'nanzhou_township',
      927 => 'linbian_township',
      928 => 'donggang_township',
      929 => 'liuqiu_township',
      931 => 'jiadong_township',
      932 => 'xinyuan_township',
      940 => 'fangliao_township',
      941 => 'fangshan_township',
      942 => 'chunri_township',
      943 => 'shizi_township',
      944 => 'checheng_township',
      945 => 'mudan_township',
      946 => 'hengchun_township',
      947 => 'manzhou_township',
      950 => 'taitung_city',
      951 => 'lüdao_township',
      952 => 'lanyu_township',
      953 => 'yanping_township',
      954 => 'beinan_township',
      955 => 'luye_township',
      956 => 'guanshan_township',
      957 => 'haiduan_township',
      958 => 'chishang_township',
      959 => 'donghe_township',
      961 => 'chenggong_township',
      962 => 'changbin_township',
      963 => 'taimali_township',
      964 => 'jinfeng_township',
      965 => 'dawu_township',
      966 => 'daren_township',
      970 => 'hualien_city',
      971 => 'xincheng_township',
      972 => 'xiulin_township',
      973 => 'ji_an_township',
      974 => 'shoufeng_township',
      975 => 'fenglin_township',
      976 => 'guangfu_township',
      977 => 'fengbin_township',
      978 => 'ruisui_township',
      979 => 'wanrong_township',
      981 => 'yuli_township',
      982 => 'zhuoxi_township',
      983 => 'fuli_township'
    }
  end
end
